# Load all required Modules
import clr
import sys
import threading
import maya.cmds

# Add DotNet path to Maya
sys.path.append( '< Path to MayaUITutorial Dll>')

# Load the Cinematics Manager .Net Runtime Lib
clr.AddReference('MayaUITutorial')
import MayaUITutorial

##############################################################################
## EMBED CLASS
##

class MayaUITutorial_Embed_2012():

	def __init__(self):
		# Create ref .Net embedForm
		self.Form = MayaUITutorial.embedForm_2012()
		
		# Attach function to Button event
		self.Form.cmdButton.Click += self.cmdButton
		
	def Show(self):
		# Create a Maya window for the .Net to attach in
		self.MayaWindow = maya.cmds.window( title='Embed Viewport.NET', iconName='.Net Demo', widthHeight=(350, 250) )
		
		#Display the Maya window
		maya.cmds.showWindow( self.MayaWindow )
		
		# Spawn and start new thread for .Net window
		formThread = threading.Thread( target = self.Form.Show(), args = () )
		formThread.start()
		
		

	def cmdButton(self, *args):
		print 'Cmds Run'
