﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
// You will need to add this for the DLL Refs
using System.Runtime.InteropServices;
/*------------------------------------------------------------------
 *                     EMBED UI INTO MAYA 2012
 *----------------------------------------------------------------*/
namespace MayaUITutorial
{
  public partial class embedForm_2012 : Form
  {
    #region User32.dll References

    // Include SetParent Reference
    [DllImport("User32", CharSet = CharSet.Auto, ExactSpelling = true)]
    internal static extern IntPtr SetParent(IntPtr hWndChild, IntPtr hWndParent);

    // Include hWnd of a selected window references
    [DllImport("user32.dll", SetLastError = true)]
    static extern IntPtr FindWindow(string lpClassName, string lpWindowName);

    [DllImport("user32.dll", SetLastError = true)]
    static extern IntPtr FindWindowEx(IntPtr hwndParent, IntPtr hwndChildAfter, string lpszClass, string lpszWindow);

    #endregion

    public embedForm_2012()
    {
      InitializeComponent();
    }

    public void Embed_2012_Control()
    {

      //Set the name and class of the Maya blank Window
      string lpszParentClass = "QWidget";
      string lpszParentWindow = "Embed Viewport.NET";

      IntPtr ParenthWnd = new IntPtr(0);

      /* Attach the .Net Form into the Maya blank Window */
      ParenthWnd = FindWindow(lpszParentClass, lpszParentWindow);
      SetParent(this.Handle, ParenthWnd);

    }

    private void embedForm_2012_Load(object sender, EventArgs e)
    {
      Embed_2012_Control();
    }
  }
}
